@import '../../../../../scss/variables.scss';
@import '../../../../../../node_modules/bulma/sass/utilities/_all.sass';

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: $grey-dark-color;
  opacity: 1; /* Firefox */
}

.login-container {
  height: 100%;
}

.login-page {
  height: 100%;
  display: grid;
  grid-template-columns: repeat(5, 1fr);

  @media screen and (min-width: $desktop) {
    height: calc(100% - 115px); // 115px is the height of page header
  }
}

.login-page-login {
  grid-column: 1 / 4;
  background-color:$grey-background-color;
  display: flex;

  .wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: auto;
    background-color: white;
    padding: 2rem 8rem 2rem 2rem;
    max-width: 650px;
    box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
    border-radius: 8px;

    @media screen and (max-width: $desktop) {
      width: 100%;
    }
  }

  .wrapper form {
    width: 100%;
    margin-top: 1rem;
  }

  .password-control {
    display: flex;
  }
  .password-info{
    font-style: italic;
    font-size:0.85rem;
  }
  .password-input-wrapper {
    margin-top:0.8rem;
  }
  .show-password {
    display: flex;
    margin-left: 1.5rem;
    label {
      line-height: 1;
      text-transform: unset;
    }
  }

  .is-checkradio[type="radio"] + label,
  .is-checkradio[type="checkbox"] + label {
    margin: 0;
  }

  .is-checkradio[type="checkbox"] + label::before {
    width: 1rem;
    height: 1rem;
    top: 0.3rem;
  }

  .is-checkradio[type="checkbox"].is-small + label::after {
    width: 0.3069375rem;
    height: 0.4911rem;
    top: 0.5rem;
    left: 0.4rem;
  }
}

.login-page-signup {
  grid-column: 4 / 6;
  background-color: $grey-background-color;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  img {
    margin-bottom: 2rem;
  }

  @media screen and (max-width: $desktop) {
    padding-top: 4.5rem;
    padding-bottom: 4.5rem;
  }
}

@media screen and (max-width: $desktop) {
  .login-page-login {
    grid-column: 1 / 6;
    padding: 1rem;
    padding-top: 4.5rem;
  }

  .login-page-signup {
    grid-column: 1 / 6;
  }
}

.login-page-signup .no-account {
  font-size: 1.375rem;
  font-weight: 700;
}

.column-title {
  margin-bottom: 1.5rem;

  span {
    font-weight: bold;
    font-size: 1.125rem;
    color: $brand-color;
  }
}

.button {
  width: 13.75rem;
}

.button-wrapper {
  margin-top: 1.4rem;
  display: flex;
  align-items: center;
  margin-bottom: 1rem;

  .button:first-child {
    margin-right: 1rem;
  }
}

.errors-container {
  margin-top: -0.875rem;
  margin-bottom: 1rem;
}

.btn-blue-text {
  background-color: white;
}

.btn-blue-text.button-signup {
  background-color: $blue-color;
  font-weight: 600;

  span {
    color: white;
  }
}

.sign-up-link-container {
  text-align: center;
  margin-bottom: 1.5rem;
}

p.is-warning {
  color: $warning-color;
}

p.is-success {
  color: $success-color;
}
